> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decide



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/core-changes/product-link-proposals/{proposalId}/decision
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{projectItemId}/core-changes/product-link-proposals/{proposalId}/decision:
    post:
      tags:
        - Core Change Alternatives
      summary: Decide
      operationId: CoreChangeAlternativesController_decide_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: projectItemId
          required: true
          in: path
          schema:
            type: string
        - name: proposalId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DecideCoreChangeProposalDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreChangeProposalDecisionResponseDto'
components:
  schemas:
    DecideCoreChangeProposalDto:
      type: object
      properties:
        decision:
          type: string
          enum:
            - accept
            - decline
        proposalVersion:
          type: integer
          minimum: 1
          maximum: 9007199254740991
        projectItemVersion:
          type: integer
          minimum: 1
          maximum: 9007199254740991
      required:
        - decision
        - proposalVersion
        - projectItemVersion
      additionalProperties: false
    CoreChangeProposalDecisionResponseDto:
      type: object
      properties:
        status:
          type: string
          enum:
            - accepted
            - declined
        proposalId:
          type: string
        proposalVersion:
          type: number
        catalogFamilyId:
          type: string
        catalogItemId:
          type: string
        projectItemId:
          type: string
        projectItemSlotId:
          type: string
        projectItemVersion:
          type: number
        affectedCatalogFamilyIds:
          type: array
          items:
            type: string
        idempotent:
          type: boolean
      required:
        - status
        - proposalId
        - proposalVersion
        - catalogFamilyId
        - catalogItemId
        - projectItemId
        - projectItemSlotId
        - projectItemVersion
        - affectedCatalogFamilyIds
        - idempotent

````